%define pkg_name        LWP-Authen-Wsse
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.5

Summary:       Library for enabling X-WSSE authentication in LWP
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUTRIJUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(LWP)
%endif


%description
LWP::Authen::Wsse allows LWP to authenticate against servers that are using
the "X-WSSE" authentication scheme, as required by the Atom Authentication
API.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.4
- version 0.05

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.04-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.04-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Tue Dec 07 2004 Marius Feraru <altblue@n0i.net> 0:0.04-1.n0i.1
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
